• Русский
  • ResourceQuota [v1]

    Description
    ResourceQuota sets aggregate quota restrictions enforced per namespace
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    ResourceQuotaSpec defines the desired hard limits to enforce for Quota.

    statusobject

    ResourceQuotaStatus defines the enforced hard limits and observed use.

    .spec

    Description
    ResourceQuotaSpec defines the desired hard limits to enforce for Quota.
    Type
    object
    PropertyTypeDescription
    hardobject

    hard is the set of desired hard limits for each named resource. More info: https://kubernetes.io/docs/concepts/policy/resource-quotas/

    scopeSelectorobject

    A scope selector represents the AND of the selectors represented by the scoped-resource selector requirements.

    scopesarray

    A collection of filters that must match each object tracked by a quota. If not specified, the quota matches all objects.

    .spec.hard

    Description
    hard is the set of desired hard limits for each named resource. More info: https://kubernetes.io/docs/concepts/policy/resource-quotas/
    Type
    object

    .spec.scopeSelector

    Description
    A scope selector represents the AND of the selectors represented by the scoped-resource selector requirements.
    Type
    object
    PropertyTypeDescription
    matchExpressionsarray

    A list of scope selector requirements by scope of the resources.

    .spec.scopeSelector.matchExpressions

    Description
    A list of scope selector requirements by scope of the resources.
    Type
    array

    .spec.scopeSelector.matchExpressions[]

    Description
    A scoped-resource selector requirement is a selector that contains values, a scope name, and an operator that relates the scope name and values.
    Type
    object
    Required
    scopeNameoperator
    PropertyTypeDescription
    operatorstring

    Represents a scope's relationship to a set of values. Valid operators are In, NotIn, Exists, DoesNotExist.

    Possible enum values:

    • "DoesNotExist"
    • "Exists"
    • "In"
    • "NotIn"
    scopeNamestring

    The name of the scope that the selector applies to.

    Possible enum values:

    • "BestEffort" Match all pod objects that have best effort quality of service
    • "CrossNamespacePodAffinity" Match all pod objects that have cross-namespace pod (anti)affinity mentioned.
    • "NotBestEffort" Match all pod objects that do not have best effort quality of service
    • "NotTerminating" Match all pod objects where spec.activeDeadlineSeconds is nil
    • "PriorityClass" Match all pod objects that have priority class mentioned
    • "Terminating" Match all pod objects where spec.activeDeadlineSeconds >=0
    valuesarray

    An array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.

    .spec.scopeSelector.matchExpressions[].values

    Description
    An array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
    Type
    array

    .spec.scopeSelector.matchExpressions[].values[]

    Type
    string

    .spec.scopes

    Description
    A collection of filters that must match each object tracked by a quota. If not specified, the quota matches all objects.
    Type
    array

    .spec.scopes[]

    Type
    string

    .status

    Description
    ResourceQuotaStatus defines the enforced hard limits and observed use.
    Type
    object
    PropertyTypeDescription
    hardobject

    Hard is the set of enforced hard limits for each named resource. More info: https://kubernetes.io/docs/concepts/policy/resource-quotas/

    usedobject

    Used is the current observed total usage of the resource in the namespace.

    .status.hard

    Description
    Hard is the set of enforced hard limits for each named resource. More info: https://kubernetes.io/docs/concepts/policy/resource-quotas/
    Type
    object

    .status.used

    Description
    Used is the current observed total usage of the resource in the namespace.
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /kubernetes/{cluster}/api/v1/namespaces/{namespace}/resourcequotas
      • DELETE: delete collection of ResourceQuota
      • GET: list objects of kind ResourceQuota
      • POST: create a new ResourceQuota
    • /kubernetes/{cluster}/api/v1/namespaces/{namespace}/resourcequotas/{name}
      • DELETE: delete the specified ResourceQuota
      • GET: read the specified ResourceQuota
      • PATCH: partially update the specified ResourceQuota
      • PUT: replace the specified ResourceQuota
    • /kubernetes/{cluster}/api/v1/namespaces/{namespace}/resourcequotas/{name}/status
      • GET: read status of the specified ResourceQuota
      • PATCH: partially update status of the specified ResourceQuota
      • PUT: replace status of the specified ResourceQuota

    /kubernetes/{cluster}/api/v1/namespaces/{namespace}/resourcequotas

    HTTP method
    DELETE
    Description
    delete collection of ResourceQuota
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ResourceQuota
    HTTP responses
    HTTP codeResponse body
    200 - OKResourceQuotaList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ResourceQuota
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyResourceQuota schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKResourceQuota schema
    201 - CreatedResourceQuota schema
    202 - AcceptedResourceQuota schema
    401 - UnauthorizedEmpty

    /kubernetes/{cluster}/api/v1/namespaces/{namespace}/resourcequotas/{name}

    HTTP method
    DELETE
    Description
    delete the specified ResourceQuota
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ResourceQuota
    HTTP responses
    HTTP codeResponse body
    200 - OKResourceQuota schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ResourceQuota
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKResourceQuota schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ResourceQuota
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyResourceQuota schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKResourceQuota schema
    201 - CreatedResourceQuota schema
    401 - UnauthorizedEmpty

    /kubernetes/{cluster}/api/v1/namespaces/{namespace}/resourcequotas/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ResourceQuota
    HTTP responses
    HTTP codeResponse body
    200 - OKResourceQuota schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ResourceQuota
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKResourceQuota schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ResourceQuota
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyResourceQuota schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKResourceQuota schema
    201 - CreatedResourceQuota schema
    401 - UnauthorizedEmpty